PEBUILD(1)

NAME
pebuild - low-level ebuild utility

SYNOPSIS

pebuild [-h] [--version] [--debug] [-q] [-v] [--color BOOLEAN] [--add-config SECTION KEY VALUE] [--new-config SECTION KEY VALUE] [--empty-config] [--config PATH] [--domain DOMAIN] [--no-auto] target phase [phase ...]

POSITIONAL ARGUMENTS

target
    atom or ebuild matching a pkg to execute phases from

phase
    phases to run

BASE OPTIONS

-h, --help
    Show this help message and exit. To get more information see the related man page.

--version
    Show this program's version information and exit.

    When running from within a git repo or a version installed from git the latest commit hash and date will be shown.

--debug
    Enable debug checks and show verbose debug output.

-q, --quiet
    Suppress non-error, informational messages.

-v, --verbose
    Increase the verbosity of various output.

--color BOOLEAN
    Toggle colored output support. This can be used to forcibly enable color support when piping output or other sitations where stdout is not a tty.

CONFIG OPTIONS

--add-config SECTION KEY VALUE
    modify existing pkgcore config section

--new-config SECTION KEY VALUE
    add new pkgcore config section

--empty-config
    skip loading user/system pkgcore config

--config PATH
    use custom pkgcore config file

--domain DOMAIN
    custom pkgcore domain to use for this operation

PHASE OPTIONS

--no-auto
    run just the specified phases; it's up to the invoker to get the order right

COPYRIGHT
2006-2019, pkgcore contributors